From 24f2425675f888155cda7f8fcbddeda52ce272b7 Mon Sep 17 00:00:00 2001
From: Francois-Xavier Coudert <fxcoudert@gcc.gnu.org>
Date: Sat, 19 Aug 2023 22:37:33 +0200
Subject: [PATCH] Testsuite: fix contructor priority test

Fix the expected warning wording for targets without constructor
priority, like Darwin, making the test pass.

gcc/testsuite/ChangeLog:

	PR testsuite/111066
	* g++.dg/special/initpri3.C: Fix wording.
---
 gcc/testsuite/g++.dg/special/initpri3.C | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gcc/testsuite/g++.dg/special/initpri3.C b/gcc/testsuite/g++.dg/special/initpri3.C
index 3d745a42a6a..63ed3208228 100644
--- a/gcc/testsuite/g++.dg/special/initpri3.C
+++ b/gcc/testsuite/g++.dg/special/initpri3.C
@@ -7,4 +7,4 @@
 #endif
 
 struct A { A(); } a __attribute__((init_priority(500)));
-// { dg-warning "attribute directive ignored" "" { target { ! init_priority } } .-1 }
+// { dg-warning "attribute ignored" "" { target { ! init_priority } } .-1 }
-- 
2.39.2 (Apple Git-143)

